
Bullet = {}

function Bullet:load()

 self.x = 0
 self.y = 0
 self.img = lg.newImage("assets/bullet.png")
 self.width = self.img:getWidth()
 self.height = self.img:getHeight() 
 self.speed = 700
 self.active = false
 
 self.playerBullets = {}
 self.playerBullets.max = 5

end -- Bullet:load

function Bullet:update(dt)

 Bullet:move(dt)
 
 Bullet:boundaries()

end -- Bullet:update(dt)

function Bullet:draw()

 for bullet = 1, self.playerBullets.max do

 if self.playerBullets[bullet].active == true then
  lg.draw(self.playerBullets[bullet].img, self.playerBullets[bullet].x, self.playerBullets[bullet].y)
 end

end -- Bullet:draw

function Bullet:move(dt)

 for bullet = 1, self.playerBullets.max do

  if self.playerBullets[bullet].active == true then
   self.playerBullets[bullet].y = self.playerBullets[bullet].y - self.playerBullets[bullet].speed * dt
  end
 end

end -- Bullet:move

function Bullet:boundaries()

for bullet = 1, self.playerBullets.max do

 if self.playerBullets[bullet].y + selfPlayerBullets[bullet].height < 0 then
  self.playerBullets[bullet].active = false
 end

end -- Bullet:boundaries

function Bullet:startPlayerBulletsArray()

 for bullet = 1, self.playerBullets.max do
  self.playerBullets[bullet] = {
  	
  x = 0,
  y = 0,
  img = lg.newImage("assets/bullet.png"),
  width = self.img:getWidth(),
  height = self.img:getHeight(),
  speed = 700,
  active = false
  }
  
 end

end -- startPlayerBulletsArray