
Player = {}

function Player:load()

 self.img = lg.newImage("assets/playership.png")
 self.width = self.img:getWidth()
 self.height = self.img:getHeight()
 self.x = sx / 2 - self.width / 2
 self.y = sy - 135
 self.speed = 500
 
 bulletFired = false

end -- Player:load

function Player:update(dt)

 Player:movement(dt)
 Player:boundaries()
 
 Player:shoot()

end -- Player:update

function Player:draw()

 lg.draw(self.img, self.x, self.y)

end -- Player:draw

function Player:movement(dt)

 if paddy.isDown("right") then
  self.x = self.x + self.speed * dt
 end

 if paddy.isDown("left") then
  self.x = self.x - self.speed * dt
 end

end -- Player:movement

function Player:boundaries()

 if self.x < 0 then
  self.x = 0
 end

 if self.x + self.width> sx then
  self.x = sx - self.width
 end

end -- Player:boundaries

function Player:shoot()

 function love.touchpressed( id, x, y)
 
  if Bullet.active == false then
   if
   Buttons:checkCollision(
    x,
    y,
    Buttons.shoot.x,
    Buttons.shoot.y,
    Buttons.shoot.width,
    Buttons.shoot.height
   ) 
   == true then 
   
    for bullet = 1, Bullet.playerBullets.max do

     if bulletFired == false then
      if not Bullet.playerBullets[bullet].active then
       Bullet.playerBullets[bullet].x,
       Bullet.playerBullets[bullet].y = self.x, self.y
      
       Bullet.playrrBullets[bullet].active = true
       bulletFired = true
      end
    end
    end
    end

   end
   
   
   
   
 end -- love.touchpressed
 
end -- Player:shoot